Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pdfclown.documents
Class Articles

    java.lang.Object
      org.pdfclown.objects.PdfObjectWrapper<PdfArray>
          org.pdfclown.objects.Array<Article>
              org.pdfclown.documents.Articles

All Implemented Interfaces:
  Cloneable, Iterable<Article>, Collection<Article>, List<Article>, IPdfObjectWrapper

    @PDF(value=PDF11)
    public final class Articles

extends Array<Article>

Article threads [PDF:1.7:3.6.1].

Since:
  0.1.2
Version:
  0.1.2, 01/04/13
Author:
  Stefano Chizzolini (http://www.stefanochizzolini.it)

Nested Class Summary

Nested classes/interfaces inherited from class org.pdfclown.objects.Array
`Array.IWrapper<TItem>`

Method Summary
`Articles` | `clone(Document context)` Gets a clone of the object, registered inside the given document context.
`static Articles` | `wrap(PdfDirectObject baseObject)`

Methods inherited from class org.pdfclown.objects.Array
`add, add, addAll, addAll, clear, contains, containsAll, get, indexOf, isEmpty, iterator, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, retainAll, set, size, subList, toArray, toArray, wrap, wrap`

Methods inherited from class org.pdfclown.objects.PdfObjectWrapper
`checkCompatibility, delete, equals, exists, getBaseDataObject, getBaseObject, getBaseObject, getContainer, getDataContainer, getDocument, getFile, getMetadata, retrieveName, retrieveNamedBaseObject, setBaseObject, setMetadata`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.util.List
`equals, hashCode`

Method Detail

### wrap

    public static Articles wrap(PdfDirectObject baseObject)

### clone

    public Articles clone(Document context)

  Description copied from class: `PdfObjectWrapper`
  Gets a clone of the object, registered inside the given document context.

  Overrides:
    `clone` in class `Array<Article>`
  Parameters:
    `context` - Which document the clone has to be registered in.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Project home page
Copyright © 2006-2013 Stefano Chizzolini. Some Rights Reserved.
This documentation is available under the terms of the GNU Free Documentation License.